## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicError

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class SequenceEnumerator

Class Serializer

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmNode

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Enum WhitespacePolicy

    public enum WhitespacePolicy

implements object

  Enumeration identifying the various Whitespace stripping policies

Field Summary
`` | `PreserveAll` No whitespace is stripped
`` | `StripIgnorable` Whitespace text nodes appearing in element-only content are stripped
`` | `StripAll` All whitespace text nodes are stripped

Field Detail

### PreserveAll

    public  PreserveAll

  No whitespace is stripped

### StripIgnorable

    public  StripIgnorable

  Whitespace text nodes appearing in element-only content are stripped

### StripAll

    public  StripAll

  All whitespace text nodes are stripped